Package x2go :: Package backends :: Package profiles :: Module file :: Class X2GoSessionProfiles

[frames] | no frames]

# Class X2GoSessionProfiles

source code

    base.X2GoSessionProfiles --+
                               |
                  object --+   |
                           |   |
        inifiles.X2GoIniFile --+
                               |
                              X2GoSessionProfiles

Instance Methods

__init__(self, config_files=`[``'``/sbuild-nonexistent/.x2goclient/sessions``'``,` `'``/etc/x2goclient/``...`, session_profile_defaults=None, logger=None, loglevel=56, **kwargs) Retrieve X2Go session profiles from a file, typically `~/.x2goclient/sessions`. | source code

`type`

get_type(self, section, key) Override the inifile class's get_type method due to the special layout of the session profile class. | source code

Inherited from `base.X2GoSessionProfiles`: `__call__`, `add_profile`, `check_profile_id_or_name`, `default_profile_config`, `delete_profile`, `get_pkey_object`, `get_profile_config`, `get_profile_metatype`, `get_profile_option_type`, `get_server_hostname`, `get_server_port`, `get_session_param`, `has_profile`, `has_profile_id`, `has_profile_name`, `init_profile_cache`, `is_mutable`, `mutable_profile_ids`, `populate_session_profiles`, `supports_mutable_profiles`, `to_profile_id`, `to_profile_name`, `to_session_params`, `update_value`, `write`

Inherited from `inifiles.X2GoIniFile`: `__repr__`, `get`, `get_value`, `load`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `base.X2GoSessionProfiles`: `defaultSessionProfile`

Properties
Inherited from `base.X2GoSessionProfiles`: `profile_ids`, `profile_names` Inherited from `inifiles.X2GoIniFile`: `printable_config_file` Inherited from `object`: `__class__`

Method Details

### __init__(self, config_files=`[``'``/sbuild-nonexistent/.x2goclient/sessions``'``,` `'``/etc/x2goclient/``...`, session_profile_defaults=None, logger=None, loglevel=56, **kwargs)
(Constructor)

source code

Retrieve X2Go session profiles from a file, typically `~/.x2goclient/sessions`.

Parameters:
  - `config_files` (`list`) - a list of config file locations, the first file name in this list the user has write access to will be the user configuration file
  - `session_profile_defaults` (`dict`) - a default session profile
  - `logger` (X2GoLogger instance) - you can pass an X2GoLogger object to the x2go.backends.profiles.file.X2GoSessionProfiles constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

### get_type(self, section, key)

source code

Override the inifile class's get_type method due to the special layout of the session profile class.

Parameters:
  - `section` (`str`) - INI file section
  - `key` (`str`) - key in INI file section
Returns: `type`
  the data type of `key` in `section`
Overrides: inifiles.X2GoIniFile.get_type